summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Halbert <halbert@halwitz.org>2018-09-18 22:21:29 -0400
committerDan Halbert <halbert@halwitz.org>2018-09-18 22:21:29 -0400
commitcf3b40207e107a0b31b87db3f08d88d6cb0e5063 (patch)
treec9e1a2ac01faeb2375a209d6bf85115da7aac2a7
parent56b7f3ba6404b44c5a5c389cbeabf1a396021b0f (diff)
add pca10059 properly to build_adafruit_bins.sh; modernize that script; update translations (again)
-rw-r--r--locale/circuitpython.pot4
-rw-r--r--locale/de_DE.po4
-rw-r--r--locale/en_US.po4
-rw-r--r--locale/es.po4
-rw-r--r--locale/fil.po4
-rw-r--r--locale/fr.po12
-rwxr-xr-xtools/build_adafruit_bins.sh31
7 files changed, 30 insertions, 33 deletions
diff --git a/locale/circuitpython.pot b/locale/circuitpython.pot
index a9a670e4f..0a87676f1 100644
--- a/locale/circuitpython.pot
+++ b/locale/circuitpython.pot
@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
@@ -689,7 +689,7 @@ msgstr ""
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr ""
diff --git a/locale/de_DE.po b/locale/de_DE.po
index 141a3142c..0ca20c398 100644
--- a/locale/de_DE.po
+++ b/locale/de_DE.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: 2018-07-27 11:55-0700\n"
"Last-Translator: Sebastian Plamauer\n"
"Language-Team: \n"
@@ -698,7 +698,7 @@ msgstr ""
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr ""
diff --git a/locale/en_US.po b/locale/en_US.po
index 42c85ebf7..fed5e7b8f 100644
--- a/locale/en_US.po
+++ b/locale/en_US.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: 2018-07-27 11:55-0700\n"
"Last-Translator: \n"
"Language-Team: \n"
@@ -689,7 +689,7 @@ msgstr ""
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr ""
diff --git a/locale/es.po b/locale/es.po
index f5d699450..c9621a836 100644
--- a/locale/es.po
+++ b/locale/es.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: 2018-08-24 22:56-0500\n"
"Last-Translator: \n"
"Language-Team: \n"
@@ -707,7 +707,7 @@ msgstr ""
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr ""
diff --git a/locale/fil.po b/locale/fil.po
index 9913df59f..552d5f494 100644
--- a/locale/fil.po
+++ b/locale/fil.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: \n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: 2018-08-30 23:04-0700\n"
"Last-Translator: Timothy <me@timothygarcia.ca>\n"
"Language-Team: fil\n"
@@ -704,7 +704,7 @@ msgstr "Hindi supportado ang AnalogOut"
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr "hindi pa implemented ang busio.UART"
diff --git a/locale/fr.po b/locale/fr.po
index a5af244c3..5d82d0363 100644
--- a/locale/fr.po
+++ b/locale/fr.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: 0.1\n"
"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2018-09-18 15:38-0400\n"
+"POT-Creation-Date: 2018-09-18 22:20-0400\n"
"PO-Revision-Date: 2018-08-14 11:01+0200\n"
"Last-Translator: Pierrick Couturier <arofarn@arofarn.info>\n"
"Language-Team: fr\n"
@@ -700,7 +700,7 @@ msgstr "AnalogOut non supporté"
#: ports/nrf/common-hal/busio/UART.c:51 ports/nrf/common-hal/busio/UART.c:60
#: ports/nrf/common-hal/busio/UART.c:66 ports/nrf/common-hal/busio/UART.c:71
#: ports/nrf/common-hal/busio/UART.c:76 ports/nrf/common-hal/busio/UART.c:81
-#: ports/nrf/common-hal/busio/UART.c:90
+#: ports/nrf/common-hal/busio/UART.c:86 ports/nrf/common-hal/busio/UART.c:90
msgid "busio.UART not yet implemented"
msgstr "busio.UART pas encore implémenté"
@@ -2387,9 +2387,9 @@ msgid "too many arguments provided with the given format"
msgstr "trop d'arguments fournis avec ce format"
#, fuzzy
-#~ msgid "palette must be displayio.Palette"
-#~ msgstr "la palette doit être longue de 32 octets"
-
-#, fuzzy
#~ msgid "value_size must be power of two"
#~ msgstr "'len' doit être un multiple de 4"
+
+#, fuzzy
+#~ msgid "palette must be displayio.Palette"
+#~ msgstr "la palette doit être longue de 32 octets"
diff --git a/tools/build_adafruit_bins.sh b/tools/build_adafruit_bins.sh
index e7b9644aa..595d5ba5d 100755
--- a/tools/build_adafruit_bins.sh
+++ b/tools/build_adafruit_bins.sh
@@ -1,3 +1,5 @@
+#!/usr/bin/env bash
+
rm -rf ports/atmel-samd/build*
rm -rf ports/esp8266/build*
rm -rf ports/nrf/build*
@@ -34,25 +36,25 @@ trinket_m0 \
ROSIE_SETUPS="rosie-ci"
PARALLEL="-j 5"
-if [ "$TRAVIS" == "true" ]; then
+if [[ "$TRAVIS" == "true" ]]; then
PARALLEL="-j 2"
fi
-if [ -z "$TRAVIS_BOARD" ]; then
+if [[ -z "$TRAVIS_BOARD" ]]; then
boards=$HW_BOARDS
else
boards=$TRAVIS_BOARD
fi
version=`git describe --tags --exact-match`
-if [ $? -ne 0 ]; then
+if [[ $? -ne 0 ]]; then
version=`date +%Y%m%d`-`git rev-parse --short HEAD`
fi
-if [ "$TRAVIS" == "true" ]; then
+if [[ "$TRAVIS" == "true" ]]; then
sha=$TRAVIS_COMMIT
- if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
+ if [[ "$TRAVIS_PULL_REQUEST" != "false" ]]; then
version=`date +%Y%m%d`-`echo $TRAVIS_PULL_REQUEST_SHA | cut -c1-7`
sha=$TRAVIS_PULL_REQUEST_SHA
fi
@@ -64,23 +66,18 @@ for board in $boards; do
for language_file in $(ls locale/*.po); do
language=$(basename -s .po $language_file)
echo "Building $board for $language"
- if [ $board == "feather_huzzah" ]; then
- make $PARALLEL -C ports/esp8266 TRANSLATION=$language BOARD=feather_huzzah
+ if [[ $board == "feather_huzzah" ]]; then
+ make $PARALLEL -C ports/esp8266 TRANSLATION=$language BOARD=$board
(( exit_status = exit_status || $? ))
temp_filename=ports/esp8266/build/firmware-combined.bin
extension=bin
- elif [ $board == "feather_nrf52832" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=feather_nrf52832
+ elif [[ $board == "feather_nrf52832" ]]; then
+ make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=$board
(( exit_status = exit_status || $? ))
temp_filename=ports/nrf/build-$board-s132/firmware.bin
extension=bin
- elif [ $board == "feather_nrf52840_express" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=feather_nrf52840_express SD=s140
- (( exit_status = exit_status || $? ))
- temp_filename=ports/nrf/build-$board-s140/firmware.uf2
- extension=uf2
- elif [ $board == "pca10056" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=pca10056 SD=s140
+ elif [[ $board == "feather_nrf52840_express" || $board == "pca10056" || $board == "pca10059" ]]; then
+ make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=$board SD=s140
(( exit_status = exit_status || $? ))
temp_filename=ports/nrf/build-$board-s140/firmware.uf2
extension=uf2
@@ -96,7 +93,7 @@ for board in $boards; do
cp $temp_filename $final_filename
(( exit_status = exit_status || $? ))
# Only upload to Rosie if its a pull request.
- if [ "$TRAVIS" == "true" ]; then
+ if [[ "$TRAVIS" == "true" ]]; then
for rosie in $ROSIE_SETUPS; do
echo "Uploading to https://$rosie.ngrok.io/upload/$sha"
curl -F "file=@$final_filename" https://$rosie.ngrok.io/upload/$sha